# MOBILE SUIT GUNDAM SEED BATTLE DESTINY REMASTERED 1.0.1
# BID: CABB3B5447C2F79F

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x6CA8608, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x6CD62D8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x64D97E8, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing
